GET 销售报价详情
GET 查询。query 参数:id(报价单ID,必填)。
| 接口编码 | 所需范围 | 后端接口 |
|---|---|---|
sales.quotation.detail | sales:read | GET /v1/quotation/detail(comap-sales) |
请求参数(query)
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
id | integer(int64) | 是 | — |
「必填」仅反映接口规格声明的部分。服务内还有未体现在规格里的校验, 标「—」不等于可以不传;租户在主站配置的字段必填不约束本接口。 详见必填字段的判定与字段清单与自定义字段。
请求示例
curl -X POST https://open.risemap.cn/v1/api/invoke \
-H "Authorization: Bearer <访问令牌>" \
-H "Content-Type: application/json" \
-d '{
"apiCode": "sales.quotation.detail",
"query": {
"id": "1961000000000000001"
}
}'
响应 data 字段
| 字段 | 类型 | 必填 | 说明 |
|---|---|---|---|
id | integer(int64) | — | 报价ID |
quotationNo | string | — | 报价编号 |
title | string | — | 报价标题 |
customerId | integer(int64) | — | 客户ID |
customerName | string | — | 客户名称 |
contactId | integer(int64) | — | 客户联系人ID |
contactName | string | — | 客户联系人名称 |
opportunityId | integer(int64) | — | 关联商机ID |
opportunityName | string | — | 关联商机名称 |
typeId | integer(int64) | — | 报价类型ID |
typeName | string | — | 报价类型名称 |
typeColor | string | — | 报价类型颜色 |
status | integer(int32) | — | 审批状态:0草稿 1待审批 2已审批 3已驳回 4已取消 |
statusText | string | — | 审批状态文本 |
bizStatus | integer(int32) | — | 业务状态:0=待发送, 1=已发送, 2=客户已接受, 3=客户已拒绝, 4=已过期 |
bizStatusText | string | — | 业务状态文本 |
totalAmount | number | — | 报价总金额 |
finalAmount | number | — | 最终金额 |
discountRate | number | — | 整体折扣率 |
currency | string | — | 币种 |
grossMargin | number | — | 毛利率(%) |
validUntil | string(date-time) | — | 有效期截止 |
isExpired | boolean | — | 是否已过期 |
ownerId | integer(int64) | — | 负责人ID |
ownerName | string | — | 负责人名称 |
ownerAvatar | string | — | 负责人头像 |
ownerPhone | string | — | 负责人手机号 |
itemCount | integer(int32) | — | 商品明细数量 |
serviceItemCount | integer(int32) | — | 服务费项数量 |
attachmentCount | integer(int32) | — | 附件数量 |
createByName | string | — | 创建人名称 |
customFieldValues | object | — | 报价主记录自定义字段值 |
createdAt | string(date-time) | — | 创建时间 |
updatedAt | string(date-time) | — | 更新时间 |
companyHeaderId | integer(int64) | — | 公司抬头ID |
companyHeaderName | string | — | 公司抬头名称 |
taxRate | number | — | 税率(%) |
globalDiscount | number | — | 整体折扣率(%) |
subtotal | number | — | 商品原价合计 |
totalDiscount | number | — | 商品折扣合计 |
discountedTotal | number | — | 商品折后合计 |
serviceFeeGrossTotal | number | — | 服务费毛额合计 |
serviceFeeDiscount | number | — | 服务费折扣合计 |
serviceFeeAmount | number | — | 服务费净额合计 |
taxAmount | number | — | 税额合计 |
totalCost | number | — | 总成本 |
grossProfit | number | — | 毛利 |
giftItemCount | integer(int32) | — | 赠送明细数量 |
optionalReferenceTotal | number | — | 选配参考价合计 |
paymentTermId | integer(int64) | — | 销售付款条件ID |
paymentTermName | string | — | 销售付款条件名称 |
paymentMethod | string | — | 付款方式,关联付款方式配置表 |
payTypeId | integer(int64) | — | 付款方式ID(关联财务配置付款方式 t_fin_pay_type) |
paymentDetail | string | — | 付款方式详细说明 |
deliveryPeriod | string | — | 交货期编码 |
deliveryDetail | string | — | 交货期详细说明 |
template | string | — | 报价模板 |
remark | string | — | 备注 |
flowInstanceCode | string | — | 流程实例编码 |
approvalHistoryInstanceCode | string | — | 审批历史查询实例编号,不代表当前有效审批实例 |
groups4 | QuotationGroupVO[] | — | 分组列表 |
items40 | QuotationItemVO[] | — | 商品明细列表 |
serviceItems18 | QuotationServiceItemVO[] | — | 服务费项列表 |
attachments9 | QuotationAttachmentVO[] | — | 附件列表 |
terms5 | QuotationTermRelVO[] | — | 条款列表 |
approvalHistory10 | ApprovalHistoryVO[] | — | 审批历史 |
comments7 | QuotationCommentVO[] | — | 评论列表 |
createBy | integer(int64) | — | 创建人ID |
createByDeptName | string | — | 创建人部门名称 |
contactPhone | string | — | 联系人电话 |
contactEmail | string | — | 联系人邮箱 |
customerChargeUserName | string | — | 客户销售负责人姓名 |
customerChargeUserDeptName | string | — | 客户销售负责人部门 |
customerChargeUserPhone | string | — | 客户销售负责人手机号 |
错误处理
响应统一信封 { code, message, data },code == 200 为成功。以下是本接口可能返回的开放平台层错误:
| 错误码 | 说明 | 可重试 |
|---|---|---|
| 92101 | 访问凭证无效 | 否 |
| 92201 | 接口未登记或已停用 | 否 |
| 92202 | 超出凭证授权范围——本接口需 sales:read | 否 |
| 92204 | 绑定员工无此接口的功能权限 | 否 |
| 92203 | 上游服务调用失败 | 是 |
| 92301 | 请求过于频繁 | 是 |
除此之外,comap-sales 自身的业务校验失败会原样透传其业务码与提示
(如字段校验、状态不允许、数据不存在),这类码不在开放平台的号段内,
以响应里的 message 为准。完整的平台层错误码见错误码说明。
← 返回报价